<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;
use Dcat\Admin\Admin;

Admin::routes();

Route::group([
    'prefix'     => config('admin.route.prefix'),
    'namespace'  => config('admin.route.namespace'),
    'middleware' => config('admin.route.middleware'),
], function (Router $router) {

    $router->get('/', 'HomeController@index');

    //  程序管理
    $router->group([
        'namespace' => 'Program',
        'prefix' => 'program',
    ],function ($router){
        // 程序管理 --banner
        $router->resource('/banner','BannerController');
        // 程序管理 --导航
        $router->resource('/navbar','NavBarController');
        // 程序管理 --标签
        $router->resource('/tabbar','TabbarController');
        // 程序管理 --首页栏目
        $router->resource('/home_column','HomeColumnController');
    });

    //  短剧管理
    $router->group([
        'namespace' => 'Episode',
        'prefix' => 'episodes',
    ],function ($router){
        // 短剧管理 --剧集列表
        $router->resource('/lists','EpisodeController');
        // 短剧管理 --剧集分类
        $router->resource('/category','EpisodesCategoryController');
    });

    //  订单
    $router->group([
        'namespace' => 'Order',
        'prefix' => 'order',
    ],function ($router){
        // 订单管理 --金币消费记录
        $router->resource('/consume','UserConsumeRecordController');
        // 订单管理 --充值记录
        $router->resource('/recharge','UserRechargeRecordController');
        // 订单管理 --用户剧集消费记录
        $router->resource('/episodes','UserEpisodesRecordController');
    });

    // 用户列表
    $router->resource('/users','UserController');

    //  营销
    $router->group([
        'namespace' => 'Market',
        'prefix' => 'market',
    ],function ($router){
        // --会员 充值套餐
        $router->resource('/member/combo','VipComboController');
        // --金币 充值设置
        $router->resource('/recharge/setting','RechargeComboController');
        // --金币 充值记录
        $router->resource('/recharge/records','UserRechargeRecordController');
    });

    //  设置
    $router->group([
        'namespace' => 'Setting',
        'prefix' => 'setting',
    ],function ($router){
        //营销 --金币 基础设置
        $router->resource('/market/setting/gold','Setting\\SettingController');
        // --基础设置
        $router->resource('/base/basic','SettingController');
        // --消息设置
        $router->resource('/base/tips','SettingController');
        // --订单设置
        $router->resource('/pay','PayConfigController');
        // --支付设置
        $router->resource('/pay','PayConfigController');
    });


});
